From: Tor Lillqvist <[EMAIL PROTECTED]>
To: "lode leroy" <[EMAIL PROTECTED]>
Subject: Re: [Gimp-developer] GIMP 2.3.4
Date: Tue, 4 Oct 2005 01:48:10 +0300

lode leroy writes:
 > In fact, what happens is that when linking with ZLIB.DLL,
 > the exe expects ZLIB-1.DLL instead of ZLIB1.DLL. (or vice-versa).

The official zlib dll is called zlib1.dll. Any other name means it is
not official. "Official" as in directly from real maintainer of
zlib. As the actual maintainer of zlib distributes Win32 zlib
binaries, I fail to see any reason why one would want to use anybody
else's version. I have only zlib1.dll on my system.

I agree with you Tor, but as the original poster wrote,
it is very difficult to set up a build enviroment with everything
correct to compile gimp (or other gtk based software for that matter)

Libraries and dependencies are changing, and the available binaries
are sometimes not correctly packaged with missing or incorrect .m4 or .pc files (especially the fontconfig and freefont,i.e. the one's you don't distribute :-)

The thing is that for compiling gimp from cvs, you need quite some expertise
in the autotools, libtool, aclocal, pkg-config etc to fix those
not-100%-working-together- distributed binaries...

Would it be feasible to create a big zip-file that contains everything for gimp
for download?


Gimp-developer mailing list

Reply via email to